%define fver 1.3.x

%define major 1
%define libname %mklibname mbfl %{major}
%define develname %mklibname mbfl -d

Summary:	Streamable kanji code filter and converter
Name:		libmbfl
Version:	1.3.2
Release:	%mkrel 5
License:	LGPL
Group:		System/Libraries
URL:		https://github.com/moriyoshi/libmbfl
# actually the latest version from git
Source0:	https://github.com/moriyoshi/libmbfl/archive/libmbfl-%{fver}.tar.gz
Source100:	https://www.unicode.org/Public/UNIDATA/EastAsianWidth.txt
Source101:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-1.TXT
Source102:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-2.TXT
Source103:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-3.TXT
Source104:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-4.TXT
Source105:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-5.TXT
Source106:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-6.TXT
Source107:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-7.TXT
Source108:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-8.TXT
Source109:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-9.TXT
Source110:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-10.TXT
Source111:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-11.TXT
Source113:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-13.TXT
Source114:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-14.TXT
Source115:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-15.TXT
Source116:	https://www.unicode.org/Public/MAPPINGS/ISO8859/8859-16.TXT
Source117:	https://www.unicode.org/Public/UNIDATA/EmojiSources.txt
Patch1:		automake.patch
Patch2:		libmbfl-fix-building-with-gcc14.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

%description
This is Libmbfl, a streamable multibyte character code filter and converter
library.

%package -n	%{libname}
Summary:	Streamable kanji code filter and converter library
Group:          System/Libraries

%description -n	%{libname}
This is Libmbfl, a streamable multibyte character code filter and converter
library.

This package provides the shared mbfl library.

%package -n	%{develname}
Summary:	Static library and header files for development with mbfl
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	mbfl-devel = %{version}-%{release}
Obsoletes:	mbfl-devel

%description -n	%{develname}
This is Libmbfl, a streamable multibyte character code filter and converter
library.

This package is only needed if you plan to develop or compile applications
which requires the mbfl library.

%prep
%setup -q -n %{name}-%{fver}
%patch -P 1 -p1 -b .automake
%patch -P 2 -p1 -b .gcc14
cp %{SOURCE100} mbfl/
cp %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} %{SOURCE105} \
   %{SOURCE106} %{SOURCE107} %{SOURCE108} %{SOURCE109} %{SOURCE110} \
   %{SOURCE111} %{SOURCE113} %{SOURCE114} %{SOURCE115} %{SOURCE116} \
   %{SOURCE117} filters

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

chmod 644 AUTHORS DISCLAIMER LICENSE README

%build
touch NEWS ChangeLog COPYING
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS DISCLAIMER LICENSE README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/mbfl
%{_libdir}/*.so


%changelog
* Fri Oct 18 2024 ns80 <ns80> 1.3.2-5.mga10
+ Revision: 2108008
- try to fix building with GCC 14

* Wed Mar 16 2022 umeabot <umeabot> 1.3.2-4.mga9
+ Revision: 1794511
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.3.2-3.mga8
+ Revision: 1514233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1298983
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sat Dec 26 2015 oden <oden> 1.3.2-1.mga6
+ Revision: 915117
- 1.3.2
- use the source from github instead
- update S100 - S116
- added S117
- drop the php patch

* Fri Nov 06 2015 oden <oden> 1.2.0-13.mga6
+ Revision: 898153
- sync with php-7.0.0RC6

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 749413
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-11.mga5
+ Revision: 726742
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-10.mga5
+ Revision: 681594
- Mageia 5 Mass Rebuild

* Wed Feb 12 2014 oden <oden> 1.2.0-9.mga5
+ Revision: 589725
- sync with php-5.5.9

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-8.mga4
+ Revision: 522446
- Mageia 4 Mass Rebuild

* Sun Mar 03 2013 fwang <fwang> 1.2.0-7.mga3
+ Revision: 401278
- renew tarball with real txt

* Sun Mar 03 2013 fwang <fwang> 1.2.0-6.mga3
+ Revision: 401274
- move to correct dir
- move to correct dir

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-5.mga3
+ Revision: 357734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 spuhler <spuhler> 1.2.0-4.mga3
+ Revision: 345120
- added automake.patch

* Wed Dec 26 2012 oden <oden> 1.2.0-3.mga3
+ Revision: 335440
- bump release due to "Newer revisions already exists for cauldron in upload queue", phew...
- sync with the bundled libmbfl in php-5.4.10
- update the unicode_mappings.tar.gz tar ball

* Sun Jun 10 2012 spuhler <spuhler> 1.2.0-1.mga3
+ Revision: 259179
- upgrade to 1.2.0

* Thu Mar 29 2012 luigiwalser <luigiwalser> 1.1.0-6.mga2
+ Revision: 227413
- sync with mga1 updates version that actually works

* Tue Mar 27 2012 luigiwalser <luigiwalser> 1.2.0-1.mga2
+ Revision: 227187
- add CP932.TXT to sources so it will not download during build
+ spuhler <spuhler>
- upgrade to 1.2.0
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package libmbfl


* Wed Nov 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2011.0
+ Revision: 595565
- P1: security fix for CVE-2010-4156 (the correct patch)
- P1: security fix for CVE-2010-4156

* Mon Jul 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2011.0
+ Revision: 551233
- 1.1.0 (sync with php-5.3.3RC1)

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-8mdv2010.1
+ Revision: 519022
- rebuild

* Sun Sep 27 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-7mdv2010.0
+ Revision: 449751
- sync with php-5.3.1RC1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-6mdv2010.0
+ Revision: 425603
- rebuild

* Sat Feb 07 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-5mdv2009.1
+ Revision: 338371
- sync with php-5.3.0beta1

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdv2009.1
+ Revision: 315575
- rebuild

* Fri Aug 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-3mdv2009.0
+ Revision: 275163
- rebuild

* Fri Aug 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2009.0
+ Revision: 275077
- rebuild
- sync with upcoming php-5.3.0 (P0)
- added S1 to make it build
- fix build (P1)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Apr 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdv2009.0
+ Revision: 195934
- sync with php-5.2.5

* Fri Feb 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 176677
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 64237
- Import libmbfl



* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.0
- initial Mandriva package
